/*  This file is part of the KDE project
    Copyright (C) 2002 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2
    as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
// $Id: confmodules.h,v 1.7 2003/03/07 22:05:57 waba Exp $

#ifndef CONFMODULES_H
#define CONFMODULES_H

#include "kpreferencesmodule.h"
#include <qptrlist.h>

namespace KImageViewer { class Canvas; }
class KInstance;
class GeneralConfigWidget;
class QCheckListItem;

class GeneralConfig : public KPreferencesModule
{
	Q_OBJECT
	public:
		GeneralConfig( KImageViewer::Canvas *, KInstance *, QObject * parent );
		~GeneralConfig();

	signals:
		void configChanged();

	protected:
		void applyChanges();
		void reset();
		void createPage( QFrame * page );

	private:
		KInstance * m_instance;
		KImageViewer::Canvas * m_pCanvas;
		GeneralConfigWidget * m_pWidget;
		QPtrList<QCheckListItem> m_items;
};

/*
namespace KParts { class PluginSelector; };

class PluginConfig : public KPreferencesModule
{
	Q_OBJECT
	public:
		PluginConfig( KInstance *, QObject * );
		~PluginConfig();

	signals:
		void configChanged();

	protected:
		void applyChanges();
		void reset();
		void createPage( QFrame * page );

	private:
		KInstance * m_instance;
		KParts::PluginSelector * m_pPluginSelector;
};
*/

// vim:sw=4:ts=4

#endif // CONFMODULES_H
